<?php

namespace Teknisa\CADFIS\Controllers;
use Teknisa\CADFIS\Controllers\TeknisaCrud;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\CADFIS\Services\AgrupInscEstaService;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;

class AgrupInscEstaController extends TeknisaCrud{
    
    public function __construct($crudService, ParameterBag $parameterBag, AgrupInscEstaService $AgrupInscEstaService, EntityManager $entityManager) {
        $this->AgrupInscEstaService = $AgrupInscEstaService;
        $this->entityManager    = $entityManager;
        parent::__construct($crudService, $parameterBag);
    }
    
    public function saveAgrupInscEsta(DTO\Request $request, DTO\Response $response) {
        try {
            $connection = $this->entityManager->getConnection();
            $connection->beginTransaction();
                
            $row        = $request->getRow();
            $this->AgrupInscEstaService->saveAgrupInscEsta($row);
            
            $this->entityManager->commit();
            
        } catch (\Exception $e) {
            $this->entityManager->rollback();
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
        
    }
  
}